Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Interface MainDeployerMBean

All Superinterfaces:
  DeployerMBean, MainDeployerConstants, Service, ServiceMBean

All Known Implementing Classes:
  MainDeployer

public interface MainDeployerMBean
extends ServiceMBean, DeployerMBean, MainDeployerConstants

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Fields inherited from interface org.jboss.deployment.MainDeployerConstants
`ADD_DEPLOYER, REMOVE_DEPLOYER`

Method Summary
`void` | `addDeployer(SubDeployer deployer)` The `addDeployer` method registers a deployer with the main deployer.
`void` | `checkIncompleteDeployments()` Check the current deployment states and generate a IncompleteDeploymentException if there are mbeans waiting for depedencies.
`void` | `deploy(DeploymentInfo deployment)` The `deploy` method deploys a package represented by a DeploymentInfo object.
`void` | `deploy(String urlspec)` The `deploy` method deploys a package identified by a string representation of a URL.
`void` | `deploy(URL url)` The `deploy` method deploys a package identified by a URL
`boolean` | `getCopyFiles()` Get the flag indicating whether directory content will be deployed
`DeploymentInfo` | `getDeployment(URL url)` The `getDeployment` method returns the DeploymentInfo object for the URL supplied.
`String[]` | `getEnhancedSuffixOrder()` Get the enhanced suffix order
`String[]` | `getSuffixOrder()` Get the ordering of the deployment suffixes
`File` | `getTempDir()` Get the temp directory
`String` | `getTempDirString()` Get the temp directory
`URL` | `getWatchUrl(URL url)` The `getWatchUrl` method returns the URL that, when modified, indicates that a redeploy is needed.
`boolean` | `isDeployed(String url)` The `isDeployed` method tells you if a package identified by a string representation of a URL is currently deployed.
`boolean` | `isDeployed(URL url)` The `isDeployed` method tells you if a packaged identified by a URL is deployed.
`Collection` | `listDeployed()` The `listDeployed` method returns a collection of DeploymemtInfo objects for the currently deployed packages.
`String` | `listDeployedAsString()` Describe `listDeployedAsString` method here.
`Collection` | `listDeployedModules()` The `listDeployedModules` method returns a collection of SerializableDeploymentInfo objects for the currently deployed packages.
`Collection` | `listDeployers()` The `listDeployers` method returns a collection of ObjectNames of deployers registered with the MainDeployer.
`Collection` | `listIncompletelyDeployed()` The `listIncompletelyDeployed` method returns a list of packages that have not deployed completely.
`Collection` | `listWaitingForDeployer()` The `listWaitingForDeployer` method returns a collection of the packages that currently have no identified deployer.
`void` | `redeploy(DeploymentInfo sdi)` Describe `redeploy` method here.
`void` | `redeploy(String urlspec)` Describe `redeploy` method here.
`void` | `redeploy(URL url)` Describe `redeploy` method here.
`void` | `removeDeployer(SubDeployer deployer)` The `removeDeployer` method unregisters a deployer with the MainDeployer.
`void` | `setCopyFiles(boolean copyFiles)` Set the flag indicating whether directory content will be deployed.
`void` | `setEnhancedSuffixOrder(String[] enhancedSuffixOrder)` Set the enhanced suffix order
`void` | `setServiceController(javax.management.ObjectName serviceController)` Describe `setServiceController` method here.
`void` | `setTempDir(File tempDir)` Set the temp directory
`void` | `shutdown()` The `shutdown` method undeploys all deployed packages in reverse order of their deployement.
`void` | `undeploy(DeploymentInfo di)` The `undeploy` method undeploys a package represented by a DeploymentInfo object.
`void` | `undeploy(String urlspec)` The `undeploy` method undeploys a package identified by a string representation of a URL.
`void` | `undeploy(URL url)` The `undeploy` method undeploys a package identified by a URL

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getCopyFiles

    public boolean getCopyFiles()

  Get the flag indicating whether directory content will be deployed

  Returns:
    the file copy flag

### setCopyFiles

    public void setCopyFiles(boolean copyFiles)

  Set the flag indicating whether directory content will be deployed. The default value is taken from the jboss.deploy.localcopy system property.

  Parameters:
    `copyFiles` - the local copy flag value

### getTempDir

    public File getTempDir()

  Get the temp directory

  Returns:
    the path to the local tmp directory

### setTempDir

    public void setTempDir(File tempDir)

  Set the temp directory

  Parameters:
    `tempDir` - the path to the local tmp directory

### getTempDirString

    public String getTempDirString()

  Get the temp directory

  Returns:
    the path to the local tmp directory

### getSuffixOrder

    public String[] getSuffixOrder()

  Get the ordering of the deployment suffixes

  Returns:
    the ordering of the deployment suffixes

### getEnhancedSuffixOrder

    public String[] getEnhancedSuffixOrder()

  Get the enhanced suffix order

  Returns:
    the enhanced suffix order

### setEnhancedSuffixOrder

    public void setEnhancedSuffixOrder(String[] enhancedSuffixOrder)

  Set the enhanced suffix order

  Parameters:
    `enhancedSuffixOrder` - the enhanced suffix order

### setServiceController

    public void setServiceController(javax.management.ObjectName serviceController)

  Describe `setServiceController` method here.

  Parameters:
    `serviceController` - an `ObjectName` value

### listDeployed

    public Collection listDeployed()

  The `listDeployed` method returns a collection of DeploymemtInfo objects for the currently deployed packages.

  Returns:
    a `Collection` value

### listDeployedModules

    public Collection listDeployedModules()

  The `listDeployedModules` method returns a collection of SerializableDeploymentInfo objects for the currently deployed packages.

  Returns:
    a `Collection` value

### listDeployedAsString

    public String listDeployedAsString()

  Describe `listDeployedAsString` method here.

  Returns:
    a `String` value

### listIncompletelyDeployed

    public Collection listIncompletelyDeployed()

  The `listIncompletelyDeployed` method returns a list of packages that have not deployed completely. The toString method will include any exception in the status field.

  Returns:
    a `Collection` value

### listWaitingForDeployer

    public Collection listWaitingForDeployer()

  The `listWaitingForDeployer` method returns a collection of the packages that currently have no identified deployer.

  Returns:
    a `Collection` value

### addDeployer

    public void addDeployer(SubDeployer deployer)

  The `addDeployer` method registers a deployer with the main deployer. Any waiting packages are tested to see if the new deployer will deploy them.

  Parameters:
    `deployer` - a `SubDeployer` value

### removeDeployer

    public void removeDeployer(SubDeployer deployer)

  The `removeDeployer` method unregisters a deployer with the MainDeployer. Deployed packages deployed with this deployer are undeployed.

  Parameters:
    `deployer` - a `SubDeployer` value

### listDeployers

    public Collection listDeployers()

  The `listDeployers` method returns a collection of ObjectNames of deployers registered with the MainDeployer.

  Returns:
    a `Collection` value

### shutdown

    public void shutdown()

  The `shutdown` method undeploys all deployed packages in reverse order of their deployement.

### redeploy

    public void redeploy(String urlspec)
                  throws DeploymentException,
                         MalformedURLException

  Describe `redeploy` method here.

  Parameters:
    `urlspec` - a `String` value
  Throws:
    `DeploymentException` - if an error occurs
    `MalformedURLException` - if an error occurs

### redeploy

    public void redeploy(URL url)
                  throws DeploymentException

  Describe `redeploy` method here.

  Parameters:
    `url` - an `URL` value
  Throws:
    `DeploymentException` - if an error occurs

### redeploy

    public void redeploy(DeploymentInfo sdi)
                  throws DeploymentException

  Describe `redeploy` method here.

  Parameters:
    `sdi` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### undeploy

    public void undeploy(URL url)
                  throws DeploymentException

  The `undeploy` method undeploys a package identified by a URL

  Specified by:
    `undeploy` in interface `DeployerMBean`
  Parameters:
    `url` - an `URL` value
  Throws:
    `DeploymentException` - Failed to undeploy URL.

### undeploy

    public void undeploy(String urlspec)
                  throws DeploymentException,
                         MalformedURLException

  The `undeploy` method undeploys a package identified by a string representation of a URL.

  Parameters:
    `urlspec` - a `String` value
  Throws:
    `MalformedURLException` - if an error occurs
    `DeploymentException`

### undeploy

    public void undeploy(DeploymentInfo di)

  The `undeploy` method undeploys a package represented by a DeploymentInfo object.

  Parameters:
    `di` - a `DeploymentInfo` value

### deploy

    public void deploy(String urlspec)
                throws DeploymentException,
                       MalformedURLException

  The `deploy` method deploys a package identified by a string representation of a URL.

  Parameters:
    `urlspec` - a `String` value
  Throws:
    `MalformedURLException` - if an error occurs
    `DeploymentException`

### deploy

    public void deploy(URL url)
                throws DeploymentException

  The `deploy` method deploys a package identified by a URL

  Specified by:
    `deploy` in interface `DeployerMBean`
  Parameters:
    `url` - an `URL` value
  Throws:
    `DeploymentException` - Failed to deploy URL.

### deploy

    public void deploy(DeploymentInfo deployment)
                throws DeploymentException

  The `deploy` method deploys a package represented by a DeploymentInfo object.

  Parameters:
    `deployment` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### isDeployed

    public boolean isDeployed(String url)
                       throws MalformedURLException

  The `isDeployed` method tells you if a package identified by a string representation of a URL is currently deployed.

  Parameters:
    `url` - a `String` value
  Returns:
    a `boolean` value
  Throws:
    `MalformedURLException` - if an error occurs

### isDeployed

    public boolean isDeployed(URL url)

  The `isDeployed` method tells you if a packaged identified by a URL is deployed.

  Specified by:
    `isDeployed` in interface `DeployerMBean`
  Parameters:
    `url` - an `URL` value
  Returns:
    a `boolean` value

### getDeployment

    public DeploymentInfo getDeployment(URL url)

  The `getDeployment` method returns the DeploymentInfo object for the URL supplied.

  Parameters:
    `url` - an `URL` value
  Returns:
    a `DeploymentInfo` value

### getWatchUrl

    public URL getWatchUrl(URL url)

  The `getWatchUrl` method returns the URL that, when modified, indicates that a redeploy is needed.

  Parameters:
    `url` - an `URL` value
  Returns:
    a `URL` value

### checkIncompleteDeployments

    public void checkIncompleteDeployments()
                                    throws DeploymentException

  Check the current deployment states and generate a IncompleteDeploymentException if there are mbeans waiting for depedencies.

  Throws:
    `IncompleteDeploymentException`
    `DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.